Subject: Re: DATE-OBS='31/12/99'

From: Peter Bunclark <psb at ast.cam.ac.uk>
Date: Tue, 09 Jul 1996 13:19:24 +0100

Lucio Chiappetti wrote:
> 
>   Personally I believe that a date without a time is no use. In fact
>   I've never used something like DATE-OBS (which is just a reserved
>   keyword, not a mandatory one ...). I think there is no interest in
>   knowing that a given measurement was done on a given date, if one
>   cannot know the time !
Yes, of course, and all observatories recored the time, but in a different keyword.
The date and time must be collected atomically, otherwise it gets confusing
around midnight, but because PAPER I suggests DATE-0BS we've all been using that,
and storing time in a different keyword.  You might argue it makes  the parser
a bit easier.

>   We'd been recently designing a format for
>   the archiving of XMM EPIC calibrations, and we were planning to use
>   a DATE-OBS (because it was a "reserved" keyword) together with a
>   TIME-OBS  ... assuming that was the start of a measurement, and
>   also a DATE-END and TIME-END ... Most of this was driven by a
>   requirement to have an output file in FITS.
>   Since I generally use another format as working format, I've used
>   (or am planning to use) a different approach there. The idea is that
>   keywords are stored in native binary representation (they can be

Very good.  But nothing at all to do with FITS.  Most packages convert original
FITS data into a more computationally efficient form.

Pete.